#2254 closed defect (fixed)

Moxie Tools Fail to Build

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Anthony Green, Hesham Almatary Blocked By:
Blocking:

Description

This will require help from Anthony Green but we need to figure out the correct set of versions and patches to get a working moxie toolset. Some assembly changed and things have to be in sync.

Attachments (1)

0001-RSB-Use-gcc-5-20150301-snapshot.patch (1.5 KB) - added by Hesham Almatary on Mar 10, 2015 at 2:07:22 PM.
Patch to use gcc snapshot

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Mar 3, 2015 at 7:55:59 PM by Amar Takhar

Cc: Anthony Green added

Anthony? Can you update this ticket with any info you have please?

comment:2 Changed on Mar 5, 2015 at 9:41:09 PM by Gedare Bloom

Cc: Hesham Almatary added

Hesham dug into this a little. It looks like we need to get some recent commits made in gcc that update the opcodes there. The best solution seems to be to pull the patches out of gcc's git and put them into RSB to have it apply to gcc when building the moxie toolchain.

comment:3 Changed on Mar 9, 2015 at 4:00:15 AM by Chris Johns

Where is a list of patches we need ?

Can the patches be used with a valid gcc release or do they require gcc from git ?

comment:4 Changed on Mar 9, 2015 at 9:03:04 AM by Hesham Almatary

This is the set of patches [1] from 12-12-2014 until now. I tried to pull and apply them directly but they fail when applying to 4.9.2. Tried it manually but couldn't continue because it needs a lot of "manual" work. The second solution was to use a snapshot, the weird thing is it sometimes work and sometimes don't. When the toolchain was successfully built with this snapshot, it still raises an error when building RTEMS.

[1] https://gcc.gnu.org/git/gitweb.cgi?p=gcc.git&a=search&h=HEAD&st=commit&s=moxie
[2] ftp://ftp.mirrorservice.org/sites/sourceware.org/pub/gcc/snapshots/5-20150301/

comment:5 Changed on Mar 10, 2015 at 1:19:46 AM by Chris Johns

Thanks for the update. It looks like a snapshot is our best path forward.

Can you please post a patch for the RSB here for the snapshot and I will take a closer look. Thanks.

Changed on Mar 10, 2015 at 2:07:22 PM by Hesham Almatary

Patch to use gcc snapshot

comment:6 Changed on Oct 20, 2015 at 11:06:47 PM by Joel Sherrill

I have found that updating binutils to 2.25 and fixing a typo in moxiesim/configure.ac is sufficient to get moxie building.

I am committing the typo fix but the change to binutils 2.25 needs a little discussion since we need to decide if all targets should go to 2.25.

comment:7 Changed on Oct 20, 2015 at 11:09:46 PM by Joel Sherrill

ec6f20fc803eb4625918cf886af9343bc760d427 fixes the moxiesim/configure.ac typo.

comment:8 Changed on Oct 21, 2015 at 3:09:43 PM by Joel Sherrill

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.